Bug 137662 - adding a extra field for tracking date/time of closing bug
Summary: adding a extra field for tracking date/time of closing bug
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
(Show other bugs)
Version: 3.6
Hardware: All Linux
medium
medium vote
Target Milestone: 4.2-1
Assignee: Simon Green
QA Contact: Kevin Baker
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-30 08:58 UTC by Leon Ho
Modified: 2018-12-09 06:29 UTC (History)
4 users (show)

Fixed In Version: 4.2.1-0.b31
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 06:26:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leon Ho 2004-10-30 08:58:16 UTC
User-Agent:       
Build Identifier: 

When using bugzilla data to generate report (thru XMLRPC for example), there
aren't any data which can retieve to show when is the actual closed time of the
bug. (Last Modified date is the closest thing - but then there is a case that
the bug is added more comments after the bug is closed.)

Reproducible: Always
Steps to Reproduce:
Current way to get "possible" working time of the bug:
1. Get "time of creation"
2. Get "time of last modified"
3. Substract




Good if we have something similar for beta2.

Comment 1 Lawrence Lim 2006-02-17 06:58:56 UTC
Any chance this feature will get implemented in the next upgrade? :)

Comment 2 Kevin Baker 2008-11-21 20:19:00 UTC
bugzilla has been upgraded to 3.2. Is this still an issue?  Or can we close?

Comment 4 Simon Green 2012-05-02 06:26:05 UTC
(In reply to comment #1)
> Any chance this feature will get implemented in the next upgrade? :)

Yes.

With Bugzilla 4.2, Bug.get and Bug.search will return the cf_last_closed key with the time and date that the bug was most recently closed. Note that this field is also returned if the bug is reopened, so you need to check that the status is 'CLOSED' too.

  -- simon


Note You need to log in before you can comment on or make changes to this bug.